apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: 'True'
  creationTimestamp: '2026-02-18T03:34:56Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:useCompatibilityMode': {}
          'f:provider':
            .: {}
            'f:destination': {}
            'f:source': {}
          'f:map':
            .: {}
            'f:network': {}
            'f:storage': {}
          'f:vms': {}
          .: {}
          'f:transferNetwork': {}
          'f:runPreflightInspection': {}
          'f:targetPowerState': {}
          'f:targetNamespace': {}
          'f:warm': {}
          'f:pvcNameTemplateUseGenerateName': {}
          'f:migrateSharedDisks': {}
          'f:skipGuestConversion': {}
          'f:preserveStaticIPs': {}
      manager: Mozilla
      operation: Update
      time: '2026-02-18T03:34:56Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:migration':
            .: {}
            'f:history': {}
            'f:started': {}
            'f:vms': {}
          'f:observedGeneration': {}
      manager: forklift-controller
      operation: Update
      subresource: status
      time: '2026-02-18T03:36:08Z'
  name: ova-test-rhel8-transfernet
  namespace: openshift-mtv
  resourceVersion: '33490353'
  uid: e8e08d7c-9602-49b4-9f49-3d0900dfbee1
spec:
  transferNetwork:
    apiVersion: k8s.cni.cncf.io/v1
    kind: NetworkAttachmentDefinition
    name: br-eno8403
    namespace: openshift-mtv
    uid: e92eea19-1a44-4480-9cee-76a49c03d5a3
  pvcNameTemplateUseGenerateName: true
  warm: false
  migrateSharedDisks: true
  targetNamespace: mtv-test
  useCompatibilityMode: true
  skipGuestConversion: false
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: openshift-mtv
      uid: 23c0e29c-907b-4317-b7dd-5e781fb5633c
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: ova-test
      namespace: openshift-mtv
      uid: fa3f97da-83fd-40c8-9764-6e9ee41c3285
  preserveStaticIPs: true
  vms:
    - id: f64082468cbb52dbc6c59a40c2e9458c5672
      name: mtv-rhel8-warm-2disks2nics
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: ova-test-d8rfh
      namespace: openshift-mtv
      uid: 9dfbb535-1296-44df-905e-7fd379948869
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: ova-test-c669t
      namespace: openshift-mtv
      uid: 906eefc7-d86c-4a8c-b3a7-0cd2781db12e
  runPreflightInspection: true
  targetPowerState: 'on'
status:
  conditions:
    - category: Required
      lastTransitionTime: '2026-02-18T03:34:56Z'
      message: The migration plan is ready.
      status: 'True'
      type: Ready
    - category: Advisory
      durable: true
      lastTransitionTime: '2026-02-18T03:35:56Z'
      message: The plan is EXECUTING.
      status: 'True'
      type: Executing
  migration:
    history:
      - conditions:
          - category: Advisory
            durable: true
            lastTransitionTime: '2026-02-18T03:35:56Z'
            message: The plan is EXECUTING.
            status: 'True'
            type: Executing
        map:
          network:
            generation: 1
            name: ova-test-d8rfh
            namespace: openshift-mtv
            uid: 9dfbb535-1296-44df-905e-7fd379948869
          storage:
            generation: 1
            name: ova-test-c669t
            namespace: openshift-mtv
            uid: 906eefc7-d86c-4a8c-b3a7-0cd2781db12e
        migration:
          generation: 1
          name: ova-test-rhel8-transfernet-qz6xn
          namespace: openshift-mtv
          uid: 3063f638-7d03-48d3-b1d8-250a56dde0e8
        plan:
          generation: 1
          name: ova-test-rhel8-transfernet
          namespace: openshift-mtv
          uid: e8e08d7c-9602-49b4-9f49-3d0900dfbee1
        provider:
          destination:
            generation: 1
            name: host
            namespace: openshift-mtv
            uid: 23c0e29c-907b-4317-b7dd-5e781fb5633c
          source:
            generation: 1
            name: ova-test
            namespace: openshift-mtv
            uid: fa3f97da-83fd-40c8-9764-6e9ee41c3285
    started: '2026-02-18T03:35:56Z'
    vms:
      - id: f64082468cbb52dbc6c59a40c2e9458c5672
        luks: {}
        name: mtv-rhel8-warm-2disks2nics
        phase: AllocateDisks
        pipeline:
          - completed: '2026-02-18T03:36:05Z'
            description: Initialize migration.
            name: Initialize
            phase: Completed
            progress:
              completed: 0
              total: 1
            started: '2026-02-18T03:35:56Z'
          - annotations:
              unit: MB
            description: Allocate disks.
            name: DiskAllocation
            phase: Pending
            progress:
              completed: 0
              total: 28672
            reason: Pending; PVC ova-test-rhel8-transfernet-f64082468cbb52dbc6c59a40c2e9458sfj7z Pending
            started: '2026-02-18T03:36:05Z'
            tasks:
              - annotations:
                  unit: MB
                name: '/ova/appliance-21b0cce07092917eeae738d0edd529e0c33632fe9511e814b79a76b6478f9772/mtv-rhel8-2disks2nics.ova::mtv-rhel8-warm-2disks2nics-1.vmdk'
                phase: Pending
                progress:
                  completed: 0
                  total: 12288
                reason: Pending; PVC ova-test-rhel8-transfernet-f64082468cbb52dbc6c59a40c2e9458sfj7z Pending
              - annotations:
                  unit: MB
                name: '/ova/appliance-21b0cce07092917eeae738d0edd529e0c33632fe9511e814b79a76b6478f9772/mtv-rhel8-2disks2nics.ova::mtv-rhel8-warm-2disks2nics-2.vmdk'
                phase: Pending
                progress:
                  completed: 0
                  total: 16384
                reason: Pending; PVC ova-test-rhel8-transfernet-f64082468cbb52dbc6c59a40c2e9458lbbpx Pending
          - description: Convert image to kubevirt.
            name: ImageConversion
            phase: Pending
            progress:
              completed: 0
              total: 1
          - annotations:
              unit: MB
            description: Copy disks.
            name: DiskTransferV2v
            phase: Pending
            progress:
              completed: 0
              total: 28672
            tasks:
              - annotations:
                  unit: MB
                name: '/ova/appliance-21b0cce07092917eeae738d0edd529e0c33632fe9511e814b79a76b6478f9772/mtv-rhel8-2disks2nics.ova::mtv-rhel8-warm-2disks2nics-1.vmdk'
                progress:
                  completed: 0
                  total: 12288
              - annotations:
                  unit: MB
                name: '/ova/appliance-21b0cce07092917eeae738d0edd529e0c33632fe9511e814b79a76b6478f9772/mtv-rhel8-2disks2nics.ova::mtv-rhel8-warm-2disks2nics-2.vmdk'
                progress:
                  completed: 0
                  total: 16384
          - description: Create VM.
            name: VirtualMachineCreation
            phase: Pending
            progress:
              completed: 0
              total: 1
        started: '2026-02-18T03:35:56Z'
  observedGeneration: 1
